# Uses of Interface
org.bukkit.block.Sign

Packages that use Sign
Package
Description
io.papermc.paper.event.player
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Sign in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return Sign
Modifier and Type
Method
Description
`@NotNull Sign`
PlayerSignCommandPreprocessEvent.`getSign()`
Gets the sign that the command originated from.
Constructors in io.papermc.paper.event.player with parameters of type Sign
Modifier
Constructor
Description
``
`PlayerSignCommandPreprocessEvent(@NotNull Player player, @NotNull String message, @NotNull Set<Player> recipients, @NotNull Sign sign)`

## Uses of Sign in org.bukkit.block

Subinterfaces of Sign in org.bukkit.block
Modifier and Type
Interface
Description
`interface`
`HangingSign`
Represents a captured state of a hanging sign.

## Uses of Sign in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type Sign
Modifier and Type
Method
Description
`void`
HumanEntity.`openSign(Sign sign)`
Opens an editor window for the specified sign
`void`
Player.`openSign(@NotNull Sign sign)`
Open a Sign for editing by the Player.